package fr.tlse.irap.flare;

import java.io.Serializable;
import java.util.Calendar;

public class FlareFlux implements Serializable, Comparable<FlareFlux> {

	private static final long serialVersionUID = 1L;

	private Calendar eventTime;
	private Float flux;

	public Calendar getEventTime() {
		return eventTime;
	}

	public void setEventTime(Calendar eventTime) {
		this.eventTime = eventTime;
	}

	public Float getFlux() {
		return flux;
	}

	public void setFlux(Float flux) {
		this.flux = flux;
	}

	@Override
	public int compareTo(FlareFlux arg0) {
		return Double.compare(this.flux, arg0.getFlux());
	}

}
